package com.liang.service;

import com.liang.entity.PrjFeescheme;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 出资方案(PrjFeescheme)表服务接口
 *
 * @author makejava
 * @since 2023-04-09 13:54:38
 */
public interface PrjFeeschemeService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjFeescheme queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjFeescheme 筛选条件
     * @param pageRequest  分页对象
     * @return 查询结果
     */
    Page<PrjFeescheme> queryByPage(PrjFeescheme prjFeescheme, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjFeescheme 实例对象
     * @return 实例对象
     */
    int insert(PrjFeescheme prjFeescheme);

    /**
     * 修改数据
     *
     * @param prjFeescheme 实例对象
     * @return 实例对象
     */
    int update(PrjFeescheme prjFeescheme);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 批量删除出资方案
     *
     * @param idList
     * @return
     */
    int batchDelete(List<Integer> idList);

    /**
     * 获取出资方案列表
     *
     * @return
     */
    List<PrjFeescheme> getFeeSchemeList(Map map);

    /**
     * 获取年份列表
     *
     * @return
     */
    List<Integer> getYearList(Integer zb);

    /**
     * 获取年度出资总金额
     *
     * @return
     */
    Double getNdFeeScheme(Map map);


    Double getNdFeeSchemeofDKY(Map<String, String> paraMap);
}
